local Widget = require "widgets/widget" --Widget，所有widget的祖先类
local Image = require "widgets/image"

local width , height = TheSim:GetScreenSize()
local pw = width / 1134
local ph = height / 638
local bgw = 400 + 340 * math.min(pw,ph)
local bgh = 20 * ph
local Hello = Class(Widget, function(self) -- 这里定义了一个Class，第一个参数是父类，第二个参数是构造函数，函数的参数第一个固定为self，后面的参数可以不写，也可以自定义。
   
	Widget._ctor(self, "Hello") --这一句必须写在构造函数的第一行，否则会报错。
    --这表明调用父类的构造函数（此处是Widget，如果继承Text，则应该写Text._ctor），第一个参数是固定的self，后面的参数同这个父类的构造函数的参数，此处写的是Widget的名字。
    --
	self.imagebgexp = self:AddChild(Image("images/astwidgets/ast_0.xml","ast_0.tex"))
	self.imagebgexp:SetPosition(-bgw / 2, 10 * ph, 0)
	self.imagebgexp:SetVRegPoint(0)
	self.imagebgexp:SetHRegPoint(1)
	self.imagebgexp:MoveToFront()
	self.imagebgexp:Hide() 
end)
	  	 function Hello:OnUpdate(self)
 	if self.owner.tujian == 1 then 
	self.imagebgexp:Hide() end
	if self.owner.tujian == 0 then
	self.imagebgexp:Show() end
 end

return Hello


